Issue 125866 - slide show not returning to correct number
Summary: slide show not returning to correct number
Status: UNCONFIRMED
Alias: None
Product: Impress
Classification: Application
Component: editing (show other issues)
Version: 4.1.1
Hardware: All All
: P3 Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: needmoreinfo
Depends on:
Blocks:
 
Reported: 2014-11-15 22:17 UTC by ynoobmatrixy
Modified: 2019-11-15 19:37 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description ynoobmatrixy 2014-11-15 22:17:22 UTC
Open an Impress document, go to a page N, then start the slide show. Change pages with keyboard or with mouse clicks.

End the presentation (e.g.: pressing Escape button) it will return to the very first slide N, the one you started with (which is not the desired behaviour)

Now open an Impress document, start slide show, do right click -> Next Slide , then you can continue switching pages with mouse or keyboard, and when you finish the presentation altogether(e.g. pressing Escape) , you will return to the slide where you last finished the slide show, which is the desired behaviour.
Comment 1 Juan Salinas 2014-11-22 23:01:50 UTC
I was able to reproduce the problem on AOO 4.1.1, Windows 8.1 x64. 

I agree with the reporter that this is not the desired behavior, when users end a presentation in a particular slide, they often do it to add notes or make changes. If you start on slide 1, stop on slide 50 and are taken to slide 1, I see how this could be annoying to users.  

I made a couple of follow-up tests that revealed important information: 
    • I tried the same on Microsoft PowerPoint and it works as expected (PowerPoint takes you to the slide you were on when you ended the presentation, and not the first slide by default).
    • I wasn’t able to reproduce the problem on AOO 3.1, so this tells me this is not a feature but an actual regress bug.
Comment 2 Regina Henschel 2014-11-23 14:24:25 UTC
I cannot reproduce it. The current slide in edit mode is always the same as the slide, which I had last in presentation mode. I use Windows7.

Can you please add a very detailed description? For example instead of "go to a page N" say, how you do it; in edit mode you can "go to a page N" by clicking in the left 'Slides' pane, or you can double-click the slide in the slide sorter, or you can move to the slide by PgUp and PgDown keys, or you can go to the slide by double-click in the Navigator.

Please examine whether the option "Start presentation always with current page" in Tools > Options > OpenOffice Impress > General has an effect on the behavior for you. I have enabled this option.
Comment 3 Juan Salinas 2014-11-23 20:36:42 UTC
I have tested it again and realized there is a critical condition to reproduce the bug. You must have multiple displays. 

These are the steps to reproduce the problem on Windows 8.1:
1. Either with a second monitor connected to your PC or not, click Windows Key + P, and select Extend.
2. Open a presentation with multiple slides  in Impress 4.1.1
3. With the default settings, click F5 to start the presentation mode. 
4. Click the slide to change to the slide to the next one.
5. Click Esc

Actual Result: You are taken to the first slide when ending the slide show.
Expected Result: You should be taken to the last slide you were on when ending the slide show.

Follow-Up tests:
I modified the slide show settings and noticed  that the bug can be reproduced when setting the Presentation display to either display 1 (primary) or display 2. If you select "All displays" you cannot reproduce the problem.
Comment 4 ynoobmatrixy 2014-11-23 21:07:47 UTC
Hi, original reporter here.

I confirm that this bug only happens when using multiple displays.

To reproduce:

Make sure to be using two displays (e.g. laptop display + second monitor)
Open a Presentation
Start Slide Show (F5)
navigate through the slideshow with arrow keys
Press Escape to end Slide Show: it will take you to the first slide, and not the last one you were viewing during the slide show.



If disconnecting monitor, the issue doesn't happen.

I have:
Windows 7.1 x64 ; OpenOffice 4.1.1 ; Intel I3 laptop ; two monitors in "Extend these displays" mode ; resolution: 1366 x 768 in both monitors.
Comment 5 ynoobmatrixy 2014-11-23 21:13:34 UTC
( above was Windows 7 SP1 Home Premium )
Comment 6 Ana Pinto 2017-05-13 03:21:51 UTC
I can replicate the issue but in a corner case, I couldn't replicate the issue on AOO 4.1.1 following the steps described on the issue report. 

I reviewed this issue on AOO 3.1.0 and AOO 4.1.1, Windows 10 Enterprise x64, and found out that the issue is reproducible on both versions with the following Steps:

1.	Open Impress document
2.	Go to any slide, but not the last slide
3.	Start Slide Show
4.	Navigate through slides using the keyboard or the mouse
5.	Reach the black/white screen at the end of the presentation
6.	End Slide Show by pressing "Esc"

Actual result:
It takes you to the slide you were when starting the presentation

Expected result:
It takes you to the last slide 

Note: I compare with PowerPoint and it works as expected
Comment 7 Jane 2019-11-15 19:37:38 UTC
I verified that it is only reproducible when using multiple displays

REQUIREMENTS:
- Product Impress 4.1.1 
- Any OS (for example: Windows 10)
- 2 Monitors


STEPS TO REPRODUCE THE ISSUE:

1. Open a new impress document
2. Add multiple slides(For example: 15 slides)
3. Select a slide that is not the first or last one (For example: Slide 3 or 4)
4. Press F5 key to start the presentation mode
5. Change the pages by pressing down/right arrows on the keyboard or clicking the 'Next' button from navigation menu
6. Before reaching the last slide, click ESC key to close the presentation mode

ACTUAL RESULT:
It returns to the slide you were when starting the presentation mode

EXPECTED RESULT:

It should return to the slide where you last finished the presentation mode


Follow-Up tests:

-Verified that it is not reproducible when changing the slides by clicking over the slide when it is presentation mode.

-Verified that it is not reproducible on PowerPoint.